Bug 484934 - Review Request: vidalia - QT-GUI for tor
Review Request: vidalia - QT-GUI for tor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Osowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 13:48 EST by Simon
Modified: 2009-06-01 14:21 EDT (History)
7 users (show)

See Also:
Fixed In Version: 0.1.12-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:23:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
th0br0: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2009-02-10 13:48:12 EST
Spec URL: 
http://cassmodiah.fedorapeople.org/vidalia-0.1.10/vidalia.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/vidalia-0.1.10/vidalia-0.1.10-1.fc10.src.rpm

Description:
Vidalia is a cross-platform controller GUI for Tor, built using the Qt 
framework. Vidalia allows you to start and stop Tor, view the status of 
Tor at a glance, and monitor Tor's bandwidth usage. Vidalia also makes it easy 
to contribute to the Tor network by helping you setup a Tor server, if 
you wish.
Comment 1 Armin 2009-02-10 17:06:20 EST
in Summary:
- it's Qt, not QT. "Qt GUI front-end for tor"?

in %install:
replace instances of /usr/local/bin/ and /usr/local with /usr/bin (%{_bindir}) as /usr/local is not used in Fedora

install -Dpm0755 %{buildroot}/usr/local/bin/%{name} \
        %{buildroot}%{_bindir}/%{name}
rm -rf %{buildroot}/usr/local/
Comment 2 Armin 2009-02-10 17:27:02 EST
oh wow, no rpmlint complaints! =)

Also, the .desktop file mentions QT which you have to change to Qt.  And the .desktop file does not have different translations (I'm being really picky here, but don't worry about it!).

in %doc
add these files as %doc in %files:
HACKING CREDITS CHANGELOG LICENSE-OPENSSL README

(you porbably won't need LICENSE-OPENSSL in there because that's provided by openssl, but nevertheless it's better to be there, doesn't hurt).
Comment 3 Armin 2009-02-10 17:28:02 EST
and in the Summary, mention tor with capital T.
Qt GUI front-end for Tor.
Comment 4 Rex Dieter 2009-02-10 17:57:26 EST
Suggestion: leave mention of QT out of the summary/description altogether.  "Gui for tor" should be informative enough.

Since you're using cmake, I'd recommend looking at:
http://fedoraproject.org/wiki/Packaging/cmake
and using the %cmake macro (and friends).
Comment 5 Susi Lehtola 2009-02-13 05:14:18 EST
I'd expand the summary somewhat, for example:
GUI for Tor, the anonymizing overlay network for TCP

GUI for Tor, per se is a description, but is quite short, and there's room for explanation what Tor is.
Comment 6 Simon 2009-02-15 15:11:09 EST
> I'd expand the summary somewhat
mh, if you don't know what tor is, you won't understand vidalia. so i think this is not necessary

okay %cmake will make it easy :-)  hope i got the trick

> Also, the .desktop file mentions QT which you have to change to Qt.  And the
> .desktop file does not have different translations (I'm being really picky
> here, but don't worry about it!).
I added a German Translation, thats the only language I know

Spec URL: 
http://cassmodiah.fedorapeople.org/vidalia-0.1.10/vidalia.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/vidalia-0.1.10/vidalia-0.1.10-2.fc10.src.rpm
Comment 7 Simon 2009-02-26 15:12:04 EST
the package worksm, but the domain is incorrect. i will correct this in the next issue-killing session
Comment 9 Andreas Osowski 2009-04-27 10:11:25 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: 
       [x] F10/i386 
 [x] Rpmlint output:
     Source RPM:
	[makerpm@hattan vidalia]$ rpmlint vidalia-0.1.12-1.fc10.src.rpm 
	1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
	[makerpm@hattan vidalia]$ rpmlint vidalia-0.1.12-1.fc10.i386.rpm  vidalia-doc-0.1.12-1.fc10.i386.rpm 
	2 packages and 0 specfiles checked; 0 errors, 0 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined 		in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, 	   containing the text of the license(s) for the package is included in %doc.
 [!] Spec file is legible and written in American English.
	Summary: GUI controller for Tor Onion Routing Network
	should be
	Summary: GUI controller for the Tor Onion Routing Network	
 [x] Sources used to build the package matches the upstream source, as provided 
     in the spec URL.
     SHA1SUM of package: c2ac49d051e67db9f4b15ecbdd8c02fb5a4c20be
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that 
     are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [x] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [!] Header files in -devel subpackage, if present.
	You create a -doc subpackage, yet you do not pack the corresponding 
        header files. If you do create a -devel subpackage, vidalia should link 
        against a shared library. At the moment, vidalia has no library of its 
        own.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [!] Package contains a properly installed %{name}.desktop file if it is a GUI 
     application.
	Fix the GenericName according to the changes to Summary (see above).
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains 
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F10/i386
 [-] Package should compile and build into binary rpms on all supported 
     architectures.
     Tested on: -
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.  

Remaining issues:
* -devel subpackage, see explanation above
* Fix grammar in Summary and in the desktop file
  Regardless of that, I -- personally -- would prefer the summary without the   
  word "controller" as "GUI" is completely sufficient. After all, it is a 
  Graphical User Interface. Thus, a following "controller" is not required and 
  rather confuses the reader.
Comment 10 Andreas Osowski 2009-04-27 10:34:38 EDT
After discussing my review with Simon on IRC,
we decided that the -doc subpackage is to be dropped and that the Summary string and the description in the .desktop file are to be changed to "Controller GUI for the Tor Onion Routing Network" according to the Vidalia homepage.

Regardless of that, from a packaging point of view there are no remaining blockers
thus the package is

================
*** APPROVED ***
================
Comment 11 Andreas Osowski 2009-04-27 13:06:07 EDT
After thorough discussion, we decided that the -doc subpackage might as well be kept. There might -- after all -- be someone out there who is interested in it :)
Comment 12 Simon 2009-04-27 16:54:47 EDT
thanks for your review

imho doxygen docs should be buzild, because they are available... it doesn't hurt anybody


New Package CVS Request
=======================
Package Name: vidalia
Short Description: Controller GUI for the Tor Onion Routing Network
Owners: cassmodiah
Branches: F-10 F-11
InitialCC:
Comment 13 Kevin Fenzi 2009-04-28 22:51:31 EDT
cvs done.
Comment 14 Fedora Update System 2009-04-29 12:30:16 EDT
vidalia-0.1.12-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vidalia-0.1.12-1.fc11
Comment 15 Fedora Update System 2009-04-29 12:44:48 EDT
vidalia-0.1.12-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vidalia-0.1.12-1.fc10
Comment 16 Fedora Update System 2009-05-02 12:23:19 EDT
vidalia-0.1.12-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-05-09 00:23:57 EDT
vidalia-0.1.12-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Simon 2009-06-01 08:16:29 EDT
Package Change Request
======================
Package Name: vidalia
New Branches: EL-5
Owners: cassmodiah
Comment 19 Jason Tibbitts 2009-06-01 14:21:53 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.